#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libpsl
Version		:	0.21.0
Release		:	17.0.10.rel%{?dist}
Summary		:	C library to handle the Public Suffix List
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/rockdaboot/libpsl/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
A Public Suffix List is a collection of Top Level Domains (TLDs)
suffixes. TLDs include Global Top Level Domains (gTLDs) like .com
and .net; Country Top Level Domains (ccTLDs) like .de and .cn; and
Brand Top Level Domains like .apple and .google. Brand TLDs allows
users to register their own top level domain that exist at the same
level as ICANN's gTLDs. Brand TLDs are sometimes referred to as
Vanity Domains.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
make %{?_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)

%doc AUTHORS COPYING NEWS README
%{_bindir}/psl
%{_includedir}/%{name}.h
%{_libdir}/%{name}.{la,so*}
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/psl*.1.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
